classification
Title: Remove PC/example_nt/
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2015-09-08 04:42 by zach.ware, last changed 2015-09-11 03:00 by python-dev. This issue is now closed.

Messages (6)
msg250156 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-09-08 04:42
The instructions and examples in PC/example_nt/ are hopelessly outdated (the readme says "It has been tested with VC++ 7.1 on Python 2.4" on default!).  Is there any reason to keep and update the example, or can we just drop it?
msg250196 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-09-08 13:20
Go for it.
msg250417 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-10 20:03
New changeset a30598e59964 by Zachary Ware in branch '2.7':
Issue #25022: Remove PC/example_nt/
https://hg.python.org/cpython/rev/a30598e59964

New changeset de3e1c81ecd7 by Zachary Ware in branch '3.4':
Issue #25022: Remove PC/example_nt/
https://hg.python.org/cpython/rev/de3e1c81ecd7

New changeset 2460fa584323 by Zachary Ware in branch '3.5':
Issue #25022: Merge with 3.4
https://hg.python.org/cpython/rev/2460fa584323

New changeset e1ddec83a311 by Zachary Ware in branch 'default':
Closes #25022: Merge with 3.5
https://hg.python.org/cpython/rev/e1ddec83a311
msg250418 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-09-10 20:24
Erk...just discovered there's a section of Doc/extending/windows.rst that depends on example_nt that will need to be excised.
msg250421 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-10 21:14
New changeset 3456af022541 by Zachary Ware in branch '2.7':
Issue #25022: Add NEWS, fix docs to not mention the old example.
https://hg.python.org/cpython/rev/3456af022541

New changeset c535bf72aa60 by Zachary Ware in branch '3.4':
Issue #25022: Add NEWS, fix docs to not mention the old example.
https://hg.python.org/cpython/rev/c535bf72aa60

New changeset 70c97a626c41 by Zachary Ware in branch '3.5':
Issue #25022: Merge with 3.4
https://hg.python.org/cpython/rev/70c97a626c41

New changeset 8c436c36a4a7 by Zachary Ware in branch 'default':
Closes #25022 (again): Merge with 3.5
https://hg.python.org/cpython/rev/8c436c36a4a7
msg250438 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-11 03:00
New changeset 8ba735b018d2 by Martin Panter <vadmium> in branch '3.4':
Issue #25022: Avoid warning about unused suspicious rule
https://hg.python.org/cpython/rev/8ba735b018d2

New changeset b75b4a6e1c9b by Martin Panter <vadmium> in branch '3.5':
Issue #25022: Merge susp-ignored.csv from 3.4 into 3.5
https://hg.python.org/cpython/rev/b75b4a6e1c9b

New changeset 8902bcea59be by Martin Panter <vadmium> in branch 'default':
Issue #25022: Merge susp-ignored.csv from 3.5
https://hg.python.org/cpython/rev/8902bcea59be

New changeset 1a52db3ef0e8 by Martin Panter <vadmium> in branch '2.7':
Issue #25022: Avoid warning about unused suspicious rule
https://hg.python.org/cpython/rev/1a52db3ef0e8
History
Date User Action Args
2015-09-11 03:00:00python-devsetmessages: + msg250438
2015-09-10 21:14:47python-devsetstatus: open -> closed
resolution: fixed
messages: + msg250421

stage: needs patch -> resolved
2015-09-10 20:24:01zach.waresetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg250418

stage: resolved -> needs patch
2015-09-10 20:03:49python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg250417

resolution: fixed
stage: resolved
2015-09-08 13:20:09steve.dowersetmessages: + msg250196
2015-09-08 04:42:30zach.warecreate